com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionTerminatedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionTerminatedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionTerminatedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionTerminated` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionTerminatedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionTerminatedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` If set, indicates that the workflow execution was automatically terminated, and specifies the cause.
`String` `getChildPolicy()` The policy used for the child workflow executions of this workflow execution.
`String` `getDetails()` The details provided for the termination (if any).
`String` `getReason()` The reason provided for the termination (if any).
`int` `hashCode()`
`void` `setCause(String cause)` If set, indicates that the workflow execution was automatically terminated, and specifies the cause.
`void` `setCause(WorkflowExecutionTerminatedCause cause)` If set, indicates that the workflow execution was automatically terminated, and specifies the cause.
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy used for the child workflow executions of this workflow execution.
`void` `setChildPolicy(String childPolicy)` The policy used for the child workflow executions of this workflow execution.
`void` `setDetails(String details)` The details provided for the termination (if any).
`void` `setReason(String reason)` The reason provided for the termination (if any).
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionTerminatedEventAttributes` `withCause(String cause)` If set, indicates that the workflow execution was automatically terminated, and specifies the cause.
`WorkflowExecutionTerminatedEventAttributes` `withCause(WorkflowExecutionTerminatedCause cause)` If set, indicates that the workflow execution was automatically terminated, and specifies the cause.
`WorkflowExecutionTerminatedEventAttributes` `withChildPolicy(ChildPolicy childPolicy)` The policy used for the child workflow executions of this workflow execution.
`WorkflowExecutionTerminatedEventAttributes` `withChildPolicy(String childPolicy)` The policy used for the child workflow executions of this workflow execution.
`WorkflowExecutionTerminatedEventAttributes` `withDetails(String details)` The details provided for the termination (if any).
`WorkflowExecutionTerminatedEventAttributes` `withReason(String reason)` The reason provided for the termination (if any).

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionTerminatedEventAttributes

    public WorkflowExecutionTerminatedEventAttributes()

### Method Detail

#### setReason

    public void setReason(String reason)

The reason provided for the termination (if any).

Parameters:
  `reason` - The reason provided for the termination (if any).

#### getReason

    public String getReason()

The reason provided for the termination (if any).

Returns:
  The reason provided for the termination (if any).

#### withReason

    public WorkflowExecutionTerminatedEventAttributes withReason(String reason)

The reason provided for the termination (if any).

Parameters:
  `reason` - The reason provided for the termination (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

The details provided for the termination (if any).

Parameters:
  `details` - The details provided for the termination (if any).

#### getDetails

    public String getDetails()

The details provided for the termination (if any).

Returns:
  The details provided for the termination (if any).

#### withDetails

    public WorkflowExecutionTerminatedEventAttributes withDetails(String details)

The details provided for the termination (if any).

Parameters:
  `details` - The details provided for the termination (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionTerminatedEventAttributes withChildPolicy(String childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionTerminatedEventAttributes withChildPolicy(ChildPolicy childPolicy)

The policy used for the child workflow executions of this workflow execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy used for the child workflow executions of this workflow execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setCause

    public void setCause(String cause)

If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.

Parameters:
  `cause` - If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.
See Also:
  `WorkflowExecutionTerminatedCause`

#### getCause

    public String getCause()

If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.

Returns:
  If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.
See Also:
  `WorkflowExecutionTerminatedCause`

#### withCause

    public WorkflowExecutionTerminatedEventAttributes withCause(String cause)

If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.

Parameters:
  `cause` - If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionTerminatedCause`

#### setCause

    public void setCause(WorkflowExecutionTerminatedCause cause)

If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.

Parameters:
  `cause` - If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.
See Also:
  `WorkflowExecutionTerminatedCause`

#### withCause

    public WorkflowExecutionTerminatedEventAttributes withCause(WorkflowExecutionTerminatedCause cause)

If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.

Parameters:
  `cause` - If set, indicates that the workflow execution was automatically terminated, and specifies the cause. This happens if the parent workflow execution times out or is terminated and the child policy is set to terminate child executions.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionTerminatedCause`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionTerminatedEventAttributes clone()

Overrides:
  `clone` in class `Object`